public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kristian Fiskerstrand" <k_f@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/cinnamon/
Date: Tue,  5 Sep 2017 19:45:04 +0000 (UTC)	[thread overview]
Message-ID: <1504640608.7770c857c3477dc7a60fd867f9b4440dd40a93e7.k_f@gentoo> (raw)

commit:     7770c857c3477dc7a60fd867f9b4440dd40a93e7
Author:     Kristian Fiskerstrand <k_f <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  5 19:41:55 2017 +0000
Commit:     Kristian Fiskerstrand <k_f <AT> gentoo <DOT> org>
CommitDate: Tue Sep  5 19:43:28 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7770c857

gnome-extra/cinnamon: New upstream version 3.4.6

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 gnome-extra/cinnamon/Manifest              |   1 +
 gnome-extra/cinnamon/cinnamon-3.4.6.ebuild | 234 +++++++++++++++++++++++++++++
 2 files changed, 235 insertions(+)

diff --git a/gnome-extra/cinnamon/Manifest b/gnome-extra/cinnamon/Manifest
index 570957fff2b..3b781cf1687 100644
--- a/gnome-extra/cinnamon/Manifest
+++ b/gnome-extra/cinnamon/Manifest
@@ -3,3 +3,4 @@ DIST cinnamon-3.2.0.tar.gz 2216495 SHA256 c1473aabb01329c07bf1e28148cb410255700f
 DIST cinnamon-3.2.6.tar.gz 2225445 SHA256 ab2e5681e4780e065ebf4aebf4b909e9b723a69d7d437ea490c7a9a39ffce8a5 SHA512 b21f762341c523a0292de27e37b664e758adafeeb658bb056a08f5aa3ec6c29709cf9db78ab48a9ab21982b7e1bfc0674f79395995348ff0b877c2c04e7038fb WHIRLPOOL 2d1c8c7662a3e76dae733300a86057962a159ad4fd7946f73b84bfdf624d6c6fb23b863847786879233d7dd2f3a8bc037c64fb065977732259f0c3b60857039f
 DIST cinnamon-3.2.7.tar.gz 2226152 SHA256 69ab4510e4239f577a7acc7ea987d0522caa9796bfaa4a062a5009009ebc5a80 SHA512 0da8ddb6e894b5ceda0cb92dc54e6b42618425f3b993b551b49aafbd4b9db95a6023083151fae75b9e60413484ff5235ed5058e9b2178c65dd108f806defe4df WHIRLPOOL fd3a0bbed451ca26844b9063d2a82aef7151a554a33522d5d765c4c871871d7a73ea9f4f5768f6d6135d45fd626fd871dc1cff4bcc5ff2f028694bc792207942
 DIST cinnamon-3.4.2.tar.gz 2213346 SHA256 182ed619f92831b83e9bfd89803bbd750c6cb0ee9d097120cdd40eb19d41e302 SHA512 dee9027788a2e8c9b6d536d27f4afcf28434ab7e52bcd0d26a6426f010f64ac6d3c29e7f225dae794e8215972d744d2eebb7fb9c102451269498a663e4c5dfb7 WHIRLPOOL 27a508e693d32c1c297df545028ca3737a15e91de197f52fbb41854b3b1f7aa813e20d6062fb1ece432166004651c4cf17d38551a1e79bc2ea1c1f652d96b76f
+DIST cinnamon-3.4.6.tar.gz 2217209 SHA256 857cd68ca4744332e9b20456ae3a0d63ee8a3eacd108ec82dd26b124765a45b4 SHA512 b5fa337dc236204a09a3650ca40d2c2a996c9d1ff6f789834e757d50d68939914bf56d2d623ee5b6e57a180c02b803dbae6349ce1a9dd969b7a4c8bad1b9d8bd WHIRLPOOL fcc2d2ea60099e021e6a761d7a519bc773430d128506d38f0d7653d586d79c3019af8c739b2b013dc3faadfbecae8643f5aa87c4137e9da5098e337623620f4f

diff --git a/gnome-extra/cinnamon/cinnamon-3.4.6.ebuild b/gnome-extra/cinnamon/cinnamon-3.4.6.ebuild
new file mode 100644
index 00000000000..7a62d8ff83f
--- /dev/null
+++ b/gnome-extra/cinnamon/cinnamon-3.4.6.ebuild
@@ -0,0 +1,234 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+PYTHON_REQ_USE="xml"
+
+inherit autotools eutils flag-o-matic gnome2 multilib pax-utils python-r1
+
+DESCRIPTION="A fork of GNOME Shell with layout similar to GNOME 2"
+HOMEPAGE="http://developer.linuxmint.com/"
+
+MY_PV="${PV/_p/-UP}"
+MY_P="${PN}-${MY_PV}"
+
+SRC_URI="https://github.com/linuxmint/Cinnamon/archive/${MY_PV}.tar.gz -> ${MY_P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+
+# bluetooth support dropped due to bug #511648
+IUSE="+nls +networkmanager" #+bluetooth
+
+# We need *both* python 2.x and 3.x
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+	|| ( $(python_gen_useflags 'python2*') )
+	|| ( $(python_gen_useflags 'python3*') )
+"
+
+KEYWORDS="~amd64 ~x86"
+
+COMMON_DEPEND="${PYTHON_DEPS}
+	app-accessibility/at-spi2-atk:2
+	app-misc/ca-certificates
+	dev-libs/dbus-glib
+	>=dev-libs/glib-2.35.0:2[dbus]
+	>=dev-libs/gobject-introspection-0.10.1:=
+	>=dev-libs/json-glib-0.13.2
+	>=dev-libs/libcroco-0.6.2:0.6
+	dev-libs/libxml2:2
+	gnome-base/gconf:2[introspection]
+	gnome-base/librsvg
+	>=gnome-extra/cinnamon-desktop-2.4:0=[introspection]
+	>=gnome-extra/cinnamon-menus-3.0[introspection]
+	>=gnome-extra/cjs-3.2.0
+	>=media-libs/clutter-1.10:1.0[introspection]
+	media-libs/cogl:1.0=[introspection]
+	>=gnome-base/gsettings-desktop-schemas-2.91.91
+	media-libs/gstreamer:1.0
+	media-libs/gst-plugins-base:1.0
+	net-libs/libsoup:2.4[introspection]
+	>=sys-auth/polkit-0.100[introspection]
+	x11-libs/gdk-pixbuf:2[introspection]
+	>=x11-libs/gtk+-3.9.12:3[introspection]
+	x11-libs/pango[introspection]
+	>=x11-libs/startup-notification-0.11
+	x11-libs/libX11
+	>=x11-libs/libXfixes-5.0
+	>=x11-wm/muffin-3.2.0[introspection]
+	networkmanager? (
+		gnome-base/libgnome-keyring
+		>=net-misc/networkmanager-0.8.999:=[introspection] )
+"
+#bluetooth? ( >=net-wireless/gnome-bluetooth-3.1:=[introspection] )
+
+# Runtime-only deps are probably incomplete and approximate.
+# Each block:
+# 2. Introspection stuff + dconf needed via imports.gi.*
+# 3. gnome-session is needed for gnome-session-quit
+# 4. Control shell settings
+# 5. accountsservice is needed for GdmUserManager (0.6.14 needed for fast
+#    user switching with gdm-3.1.x)
+# 6. caribou needed for on-screen keyboard
+# 7. xdg-utils needed for xdg-open, used by extension tool
+# 8. gconf-python, imaging, lxml needed for cinnamon-settings
+# 9. gnome-icon-theme-symbolic needed for various icons
+# 10. pygobject needed for menu editor
+# 11. nemo - default file manager, tightly integrated with cinnamon
+# 12. polkit-gnome - explicitly autostarted by us
+# TODO(lxnay): fix error: libgnome-desktop/gnome-rr-labeler.h: No such file or directory
+RDEPEND="${COMMON_DEPEND}
+	>=gnome-base/dconf-0.4.1
+	>=gnome-base/libgnomekbd-2.91.4[introspection]
+	|| ( sys-power/upower[introspection] sys-power/upower-pm-utils[introspection] )
+
+	>=gnome-extra/cinnamon-session-2.4
+	>=gnome-extra/cinnamon-settings-daemon-2.4
+
+	>=sys-apps/accountsservice-0.6.14[introspection]
+
+	>=app-accessibility/caribou-0.3
+
+	x11-misc/xdg-utils
+	x11-libs/xapps
+
+	dev-python/dbus-python[${PYTHON_USEDEP}]
+	dev-python/pygobject:3[${PYTHON_USEDEP}]
+	$(python_gen_cond_dep 'dev-python/gconf-python:2[${PYTHON_USEDEP}]' 'python2*')
+	$(python_gen_cond_dep 'dev-python/lxml[${PYTHON_USEDEP}]' 'python2*')
+	$(python_gen_cond_dep 'dev-python/pexpect[${PYTHON_USEDEP}]' 'python2*')
+	$(python_gen_cond_dep 'dev-python/pycairo[${PYTHON_USEDEP}]' 'python2*')
+	$(python_gen_cond_dep 'dev-python/pyinotify[${PYTHON_USEDEP}]' 'python2*')
+	$(python_gen_cond_dep 'dev-python/pypam[${PYTHON_USEDEP}]' 'python2*')
+	$(python_gen_cond_dep 'dev-python/pillow[${PYTHON_USEDEP}]' 'python2*')
+
+	x11-themes/gnome-themes-standard
+	x11-themes/adwaita-icon-theme
+
+	>=gnome-extra/nemo-2.4
+	>=gnome-extra/cinnamon-control-center-2.4
+	>=gnome-extra/cinnamon-screensaver-2.4
+
+	gnome-extra/polkit-gnome
+
+	networkmanager? (
+		gnome-extra/nm-applet
+		net-misc/mobile-broadband-provider-info
+		sys-libs/timezone-data )
+	nls? ( >=gnome-extra/cinnamon-translations-2.4 )
+"
+#bluetooth? ( net-wireless/cinnamon-bluetooth )
+
+DEPEND="${COMMON_DEPEND}
+	$(python_gen_cond_dep 'dev-python/polib[${PYTHON_USEDEP}]' 'python2*')
+	dev-util/gtk-doc
+	>=dev-util/intltool-0.4
+	>=sys-devel/gettext-0.17
+	virtual/pkgconfig
+	gnome-base/gnome-common
+	!!=dev-lang/spidermonkey-1.8.2*
+"
+# libmozjs.so is picked up from /usr/lib while compiling, so block at build-time
+# https://bugs.gentoo.org/show_bug.cgi?id=360413
+
+S="${WORKDIR}/Cinnamon-${PV}"
+
+pkg_setup() {
+	python_setup
+}
+
+src_prepare() {
+	# Fix backgrounds path as cinnamon doesn't provide them
+	# https://github.com/linuxmint/Cinnamon/issues/3575
+	eapply "${FILESDIR}"/${PN}-2.8.0-background.patch
+
+	# Fix automagic gnome-bluetooth dep, bug #398145
+	eapply "${FILESDIR}"/${PN}-2.2.6-automagic-gnome-bluetooth.patch
+
+	# Optional NetworkManager, bug #488684
+	eapply "${FILESDIR}"/${PN}-2.6.7-optional-networkmanager.patch
+
+	# Use wheel group instead of sudo (from Fedora/Arch)
+	# https://github.com/linuxmint/Cinnamon/issues/3576
+	eapply "${FILESDIR}"/${PN}-2.8.3-set-wheel.patch
+
+	# Use pkexec instead of gksu (from Arch)
+	# https://github.com/linuxmint/Cinnamon/issues/3565
+	sed -i 's/gksu/pkexec/' files/usr/bin/cinnamon-settings-users || die
+
+	# Add polkit agent to required components (from Fedora/Arch), bug #523958
+	# https://github.com/linuxmint/Cinnamon/issues/3579
+	sed -i 's/RequiredComponents=\(.*\)$/RequiredComponents=\1polkit-gnome-authentication-agent-1;/' \
+		files/usr/share/cinnamon-session/sessions/cinnamon*.session || die
+
+	if ! use networkmanager; then
+		rm -rv files/usr/share/cinnamon/applets/network@cinnamon.org || die
+	fi
+
+	# python 2-and-3 shebang fixing craziness
+	local p
+	python_setup 'python3*'
+	for p in $(grep -rl '#!.*python3'); do
+		python_fix_shebang "${p}"
+	done
+
+	python_setup 'python2*'
+	for p in $(grep -rl '#!.*python[^3]'); do
+		python_fix_shebang "${p}"
+	done
+
+	eautoreconf
+	gnome2_src_prepare
+}
+
+src_configure() {
+	gnome2_src_configure \
+		--libdir="${EPREFIX}/usr/$(get_libdir)" \
+		--disable-jhbuild-wrapper-script \
+		$(use_enable networkmanager) \
+		--with-ca-certificates="${EPREFIX}/etc/ssl/certs/ca-certificates.crt" \
+		BROWSER_PLUGIN_DIR="${EPREFIX}/usr/$(get_libdir)/nsbrowser/plugins" \
+		--without-bluetooth
+}
+
+src_install() {
+	gnome2_src_install
+	python_optimize "${ED}"usr/$(get_libdir)/cinnamon-*
+
+	# Required for gnome-shell on hardened/PaX, bug #398941
+	pax-mark mr "${ED}usr/bin/cinnamon"
+
+	# Doesn't exist on Gentoo, causing this to be a dead symlink
+	rm -f "${ED}etc/xdg/menus/cinnamon-applications-merged" || die
+
+	# Ensure authentication-agent is started, bug #523958
+	# https://github.com/linuxmint/Cinnamon/issues/3579
+	insinto /etc/xdg/autostart/
+	doins "${FILESDIR}"/polkit-cinnamon-authentication-agent-1.desktop
+}
+
+pkg_postinst() {
+	gnome2_pkg_postinst
+
+	if ! has_version 'media-libs/gst-plugins-good:1.0' || \
+	   ! has_version 'media-plugins/gst-plugins-vpx:1.0'; then
+		ewarn "To make use of Cinnamon's built-in screen recording utility,"
+		ewarn "you need to either install media-libs/gst-plugins-good:1.0"
+		ewarn "and media-plugins/gst-plugins-vpx:1.0, or use dconf-editor to change"
+		ewarn "org.cinnamon.recorder/pipeline to what you want to use."
+	fi
+
+	if ! has_version ">=x11-base/xorg-server-1.11"; then
+		ewarn "If you use multiple screens, it is highly recommended that you"
+		ewarn "upgrade to >=x11-base/xorg-server-1.11 to be able to make use of"
+		ewarn "pointer barriers which will make it easier to use hot corners."
+	fi
+
+	if has_version "<x11-drivers/ati-drivers-12"; then
+		ewarn "Cinnamon has been reported to show graphical corruption under"
+		ewarn "x11-drivers/ati-drivers-11.*; you may want to switch to"
+		ewarn "open-source drivers."
+	fi
+}


             reply	other threads:[~2017-09-05 19:45 UTC|newest]

Thread overview: 95+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-09-05 19:45 Kristian Fiskerstrand [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-27  5:57 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/cinnamon/ Eli Schwartz
2024-09-25 14:22 Joonas Niilola
2024-09-25 13:58 Joonas Niilola
2024-08-23  5:23 Eli Schwartz
2024-08-23  5:23 Eli Schwartz
2024-08-23  5:23 Eli Schwartz
2024-08-23  5:23 Eli Schwartz
2024-06-19  5:24 Arthur Zamarin
2024-06-02 21:16 Sam James
2024-02-15 13:29 Joonas Niilola
2024-02-15 13:29 Joonas Niilola
2023-10-13  7:43 Joonas Niilola
2023-10-04  8:24 Joonas Niilola
2023-09-26 15:59 WANG Xuerui
2023-06-10 23:05 Andreas Sturmlechner
2023-06-05  9:58 Joonas Niilola
2023-06-05  9:58 Joonas Niilola
2023-05-07 22:14 Sam James
2023-05-01  1:43 Sam James
2023-05-01  1:43 Sam James
2022-12-24  7:11 Sam James
2022-11-22  6:20 Sam James
2022-11-22  6:20 Sam James
2022-10-12 23:09 Sam James
2022-10-12 23:09 Sam James
2022-09-07  7:52 Michał Górny
2022-05-13 20:07 Jakov Smolić
2022-05-13  4:28 Yixun Lan
2022-05-11  2:11 Sam James
2022-05-05  3:01 Sam James
2022-05-05  3:01 Sam James
2022-05-02  1:11 Sam James
2022-02-27 23:50 Sam James
2022-02-18  2:44 Sam James
2021-12-24 20:00 Jakov Smolić
2021-12-24 19:25 Jakov Smolić
2021-11-23  1:25 Yixun Lan
2021-10-20  1:14 Sam James
2021-10-20  1:14 Sam James
2021-07-31  8:36 Joonas Niilola
2021-07-31  8:36 Joonas Niilola
2021-07-15 11:32 Joonas Niilola
2021-06-12  3:55 Sam James
2021-06-08  7:34 Sam James
2021-06-01 16:28 Joonas Niilola
2021-06-01 16:28 Joonas Niilola
2021-01-06  1:05 Sam James
2020-12-29 17:14 Sam James
2020-12-27  5:06 Sam James
2020-12-16 22:30 Sam James
2020-09-15 14:20 Joonas Niilola
2020-09-09  2:15 Sam James
2020-05-29  0:11 Matt Turner
2019-08-18 12:37 David Seifert
2019-06-07 20:12 Mikle Kolyada
2019-06-04 20:58 Thomas Deutschmann
2019-04-24 16:28 Pacho Ramos
2018-12-08 22:11 Mikle Kolyada
2018-11-28 19:56 Kristian Fiskerstrand
2018-06-23 10:14 Pacho Ramos
2018-04-12 19:07 Thomas Deutschmann
2018-04-06 14:00 Aaron Bauman
2017-11-27 22:20 Kristian Fiskerstrand
2017-11-27 22:20 Kristian Fiskerstrand
2017-11-26 15:43 Kristian Fiskerstrand
2017-07-28 14:27 Kristian Fiskerstrand
2017-06-24 19:56 Kristian Fiskerstrand
2017-06-24 19:41 Kristian Fiskerstrand
2017-06-24 14:58 Kristian Fiskerstrand
2017-02-11 18:31 Pacho Ramos
2017-01-15 19:22 David Seifert
2017-01-15 19:22 David Seifert
2017-01-05 21:22 Kristian Fiskerstrand
2016-12-20 18:23 Kristian Fiskerstrand
2016-11-27 21:33 Kristian Fiskerstrand
2016-11-22 20:42 Kristian Fiskerstrand
2016-10-29 14:51 Mike Gilbert
2016-10-29 14:44 Mike Gilbert
2016-10-29 11:35 Michael Palimaka
2016-10-18 19:07 Kristian Fiskerstrand
2016-10-01  0:54 Pacho Ramos
2016-09-17 13:32 Pacho Ramos
2016-09-17 13:29 Kristian Fiskerstrand
2016-07-09 11:20 Pacho Ramos
2016-06-25 16:53 Pacho Ramos
2016-05-29 12:42 Pacho Ramos
2016-03-06 18:58 Mikle Kolyada
2015-12-26 15:28 Pacho Ramos
2015-11-17 20:23 Pacho Ramos
2015-11-17 20:23 Pacho Ramos
2015-09-07 21:11 Mikle Kolyada
2015-09-03  2:13 Alexandre Rostovtsev
2015-09-03  1:55 Alexandre Rostovtsev
2015-09-03  1:55 Alexandre Rostovtsev

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1504640608.7770c857c3477dc7a60fd867f9b4440dd40a93e7.k_f@gentoo \
    --to=k_f@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox